## roaraudio 1.0~beta0

=== libroar/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroar$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroar.a
VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
VIO_BRIDGE=vio_bio.o vio_stdio.o
VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o vio_stream.o vio_proxy.o
HASHES=hash.o hash_tiger.o
PASSWORD=passwordapi.o pinentry.o sshaskpass.o
CRYPTO=crypto.o random.o $(HASHES) crc.o
OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o plugincontainer.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o

#DEFINES        = -DDEBUG
#DEFINES+= -D_LIBROAR_NOATTR_WARNINGS
INCLUDE = -I../include -I../include/libroar
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(PKGDEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(SHARED) $(LDPATH)
LIBS    = $(LIBROAR_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
libroar.a: ${OBJS}
	${AR} cru libroar.a ${OBJS}
	${RANLIB} libroar.a

=== libroarpulse/Makefile ===
LIB_PREFIX=libroarpulse
LIB_STDAPI=$(LIB_PREFIX)$(SHARED_SUFFIX)
LIB_SIMPLE=$(LIB_PREFIX)-simple$(SHARED_SUFFIX)

TARGETS=$(LIB_STDAPI) $(LIB_SIMPLE) libroarpulseinfo
OBJS_ROAR   = libroarpulse.o
OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o utf8.o x11.o
OBJS_SIMPLE = simple.o
OBJS_STDAPI = $(OBJS_ROAR) $(OBJS_STD)

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/ -L.
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(LIB_STDAPI): ${OBJS_STDAPI}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_STDAPI).$(COMMON_SOVERSION) -o $(LIB_STDAPI) ${OBJS_STDAPI} ${LIBS}

$(LIB_SIMPLE): ${OBJS_SIMPLE} $(LIB_STDAPI)
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(LIB_SIMPLE).$(COMMON_SOVERSION) -o $(LIB_SIMPLE) ${OBJS_SIMPLE} ${LIBS} -lroarpulse


libroarpulseinfo: libroarpulseinfo.o

=== roarclients/Makefile ===
TARGETS_DEVEL=roartypes roar-config
TARGETS_EXAMPLE=roarvorbis roarsin
TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
TARGETS_DSP=roarfilt roarvumeter
TARGETS_MISC=roarsockconnect roarphone roarshout
TARGETS_M=roardtmf
TARGETS_VIO=roarvio
TARGETS_PLUGINS=roarpluginrunner

#TARGETS_TESTS=zcattest pgptest pipetest polytest
#TARGETS_OLD=roarcatpassfh roarsocktypes

TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO) $(TARGETS_PLUGINS)

# tools we maybe want to kick of the package
TARGETS += $(TARGETS_TESTS) $(TARGETS_OLD)


TOOLS=roarify

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
DEFINES    = -DCOMMON_VERSION=\"$(COMMON_VERSION)\" -DPREFIX=\"$(PREFIX)\" -DPREFIX_LIB=\"$(PREFIX_LIB)\" -DPREFIX_INC=\"$(PREFIX_INC)\"
INCLUDE    = -I../include -I./include
CFLAGS    += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS   += -g -L../lib/ $(LDPATH)
LIBS       = $(LIBROAR)
SHOUTLIBS  = $(lib_shout) $(LIBS)
VORBISLIBS = $(lib_vorbisfile) $(lib_vorbis) $(lib_ogg) $(LIBS)

LNL        = $(CC) $(LDFLAGS) -o $@ $+
L          = $(LNL) $(LIBS)

all: ${TARGETS} $(TOOLS)
	cp $(cp_v) ${TARGETS} $(TOOLS) ../lib/
clean:
	rm -f ${TARGETS} ${TOOLS} *.o
new: clean all

roarcat: roarcat.o
	$L
roarcatad: roarcatad.o
	$L
roarcat2sock: roarcat2sock.o
	$L
roarcatsendfile: roarcatsendfile.o
	$L
roarcatplay: roarcatplay.o
	$L
roarcatpassfh: roarcatpassfh.o
	$L
roarcatvio: roarcatvio.o
	$L
roarradio: roarradio.o
	$L
roarctl: roarctl.o
	$L $(LIBROARDSP) $(lib_m)
roarmon: roarmon.o
	$L
roarmonhttp: roarmonhttp.o
	$L
roarinterconnect: roarinterconnect.o
	$L $(lib_esd) $(LIBROAREIO) $(lib_rsound)
roarclientpass: roarclientpass.o
	$L
roarbidir: roarbidir.o
	$L
roarphone: roarphone.o
	${CC} ${LDFLAGS} -o roarphone roarphone.o $(LIBROARDSP) $(LIBROAREIO) $(LIBS)
roarfilt: roarfilt.o
	${CC} ${LDFLAGS} -o roarfilt roarfilt.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarsin: roarsin.o
	${CC} ${LDFLAGS} -o roarsin roarsin.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarvumeter: roarvumeter.o
	${CC} ${LDFLAGS} -o roarvumeter roarvumeter.o $(LIBS) $(LIBROARDSP) $(lib_m)
roardtmf: roardtmf.o
	${CC} ${LDFLAGS} -o roardtmf roardtmf.o $(LIBS) $(lib_m)
roarsockconnect: roarsockconnect.o
	$L
roarvio: roarvio.o
	$L
roarpluginrunner: roarpluginrunner.o
	$L
roartypes: roartypes.o
	$L
roarsocktypes: roarsocktypes.o
	$L
roar-config: roar-config.o
	$(LNL)
roarvorbis: roarvorbis.o
	${CC} ${LDFLAGS} -o roarvorbis roarvorbis.o $(VORBISLIBS) $(LIBS)
roarshout: roarshout.o
	${CC} ${LDFLAGS} -o roarshout roarshout.o $(SHOUTLIBS) $(LIBS)
polytest: polytest.o
	${CC} ${LDFLAGS} -o polytest polytest.o $(LIBROARDSP) $(LIBS)
roarlight: roarlight.o
	${CC} ${LDFLAGS} -o roarlight roarlight.o $(LIBROARLIGHT) $(LIBS)
pinentrytest: pinentrytest.o
	$L
zcattest: zcattest.o
	$L
pgptest: pgptest.o
	$L
pipetest: pipetest.o
	$L
roarfctest: roarfctest.o
	${CC} ${LDFLAGS} -o roarfctest roarfctest.o $(LIBROARDSP) $(LIBS) $(lib_m)

roarify.sht:
roarify: roarify.sht
	sed 's#%%%PREFIX_COMP_LIBS%%%#$(PREFIX_COMP_LIBS)#g; s#%%%PREFIX_COMP_BINS%%%#$(PREFIX_COMP_BINS)#g; s#%%%PREFIX_LIB%%%#$(PREFIX_LIB)#g; s#%%%VERSION%%%#$(COMMON_SOVERSION)#g;' < roarify.sht > roarify
	chmod +rx roarify

=== plugins/roard/Makefile ===
include ../../Makefile.conf
include ../../Makefile.inc

TARGETS=echo$(SHARED_SUFFIX) daytime$(SHARED_SUFFIX) discard$(SHARED_SUFFIX) irc$(SHARED_SUFFIX) listenpty$(SHARED_SUFFIX) plugin-info$(SHARED_SUFFIX)

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroar -I../..
CFLAGS += -g -Wall -Wextra $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall -Wextra $(OPTI_O) $(SHARED) $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

%$(SHARED_SUFFIX): %.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS)

=== debian/changelog ===
roaraudio (1.0~beta0-1) unstable; urgency=low

  * New upstream beta release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Mar 2012 12:08:32 +0100

roaraudio (1.0~beta0~pr2-2) experimental; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Do not build with yiff support.
  * Remove build dependency on dropped package liby-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:15:32 +0100

=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7),
 hardening-wrapper,
 bash-completion,
 libz-dev,
 libfishsound1-dev,
 libvorbis-dev,
 libspeex-dev,
 libshout3-dev,
 libsndfile1-dev,
 liboggz2-dev,
 libslp-dev,
 libesd0-dev,
 libspeexdsp-dev,
 libao-dev,
 libx11-dev,
 libflac-dev,
 libcelt-dev (>= 0.7.1),
 libcelt-dev (<< 0.8.0~),
 libpulse-dev [!hurd-i386],
 libasound2-dev [linux-any],
 portaudio19-dev,
 libdnet-dev [linux-any]
Standards-Version: 3.9.3
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar2
Architecture: any
Suggests: bzip2,
 gnupg,
 openssh-client,
 pinentry,
 libmuroar0,
 roaraudio-server,
 slpd
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libroar0
Replaces: libroar0
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Provides: libsndio-dev
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libslp-dev,
 libx11-dev,
 libdnet-dev [linux-any]
Suggests: ckport,
 libmuroar-dev
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 libroar2 (= ${binary:Version}),
 roaraudio (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version})
Description: RoarAudio sound server for audio mixing (debugging symbols)
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the debugging symbols for RoarAudio.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server,
 rsound-server
Depends: ${shlibs:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 ${misc:Depends}
Recommends: oss-compat [!hurd-i386]
Suggests: socat,
 wget
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
Description: sound server for audio mixing
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.

Package: libroar-compat2
Architecture: any
Provides: libsndio1
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Conflicts: libroar-compat0,
 libroar-compat1
Replaces: libroar-compat0,
 libroar-compat1
Description: drop-in replacements for other sound libraries
 To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
 or YIFF API running, you can install this package and replace the appropriate
 libraries.

## roaraudio 1.0~beta2

=== Makefile ===
include Makefile.conf
include Makefile.inc

COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)

SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)

PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious) $(subdir_plugins_roard) $(subdir_plugins_universal)

PREFIX_CKPORT=$(PREFIX_LIB)/ckport/db/
CKPORTDB=libroar.ckport

SUFFIX_LIB=$(SHARED_SUFFIX).$(COMMON_SOVERSION)

all:
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) all; cd ../..; done;
clean:
	rm -f lib/* || true
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) clean; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) clean; cd ../..; done;
	set -e; cd tests/; $(MAKE) clean; cd ..;

distclean: clean
	rm -f Makefile.conf config.log include/roaraudio/config.h

new: clean all

test: all
	set -e; cd tests; $(MAKE) test; cd ..;

build-pc-files:
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done; fi

prep-install: prep-install-dirs build-pc-files

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_PC)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_LIBS)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_BINS)'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/universal/'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
	set -e; cd doc; $(MAKE) prep-install-dirs; cd ..

install: prep-install
	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs '$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) install; cd ../..; fi; done

semi-install: prep-install
	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)/'
	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; while read d t; do ln -fs `pwd`/$$d$(SHARED_SUFFIX) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) semi-install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) semi-install; cd ../..; fi; done

=== libroar/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 HASHES=hash.o hash_tiger.o
 PASSWORD=passwordapi.o pinentry.o sshaskpass.o
 CRYPTO=crypto.o random.o $(HASHES) crc.o
-OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o plugincontainer.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o
+OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o plugincontainer.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o kstore.o uuid.o
 
 #DEFINES        = -DDEBUG
 #DEFINES+= -D_LIBROAR_NOATTR_WARNINGS

=== libroararts/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

#TARGETS=libartsc$(SHARED_SUFFIX) libroarartsc$(SHARED_SUFFIX)
TARGETS=libroarartsc$(SHARED_SUFFIX)
OBJS=libartsc.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarpulse
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

#libartsc$(SHARED_SUFFIX): libroarartsc$(SHARED_SUFFIX)
#	cp libroarartsc$(SHARED_SUFFIX) libartsc$(SHARED_SUFFIX)
libroarartsc$(SHARED_SUFFIX): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,libroarartsc$(SHARED_SUFFIX).$(COMMON_SOVERSION) -o libroarartsc$(SHARED_SUFFIX) ${OBJS} ${LIBS}

=== libroardsp/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroardsp$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroardsp.a
OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o
OLDROAR=midi.o
FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o filter_responsecurve.o
MIDI=synth.o
CODECS=alaw.o mulaw.o
TRANSCODERS=transcode_mualaw.o transcode_celt.o transcode_speex.o

ALLOBJS=$(OBJS) $(FILTER) $(TRANSCODERS) $(OLDROAR) $(MIDI) $(CODECS)

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroardsp
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(SHARED) -L../lib/ $(LDPATH)

LIBS      = $(LIBROARDSP_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): $(ALLOBJS)
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARDSP_V) -o $(SLIB) $(ALLOBJS) $(LIBS)
libroardsp.a: $(ALLOBJS)
	${AR} cru libroardsp.a $(ALLOBJS)
	${RANLIB} libroardsp.a

=== libroareio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroareio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroareio.a
DRIVER=driver.o driver_oss.o driver_roar.o esdfw.a
FF=ff_ssdp.o
OBJS=libroareio.o $(DRIVER) $(FF) httpd.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroareio
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(Wextra) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAREIO_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} autodetected.h esdfw.a *.o
new: clean all

esdfw.a:
	if [ "`ls esdfw_*.o`" != '' ]; then ${AR} cru esdfw.a esdfw_*.o; else ${AR} cru esdfw.a; fi
	${RANLIB} esdfw.a

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAREIO_V) -o $(SLIB) $(OBJS) $(LIBS)
libroareio.a: ${OBJS}
	${AR} cru libroareio.a ${OBJS}
	${RANLIB} libroareio.a

driver.c: autodetected.h
autodetected.h:
	echo "/* *** */" > autodetected.h
	[ -f driver_esdfw.h -a -f driver_esdfw.c ] && echo '#define ROAR_HAVE_AD_ESDFW' >> autodetected.h || true
	echo "/* *** */" >> autodetected.h

=== libroaresd/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

LIB_BASENAME=libroaresd
SLIB=$(LIB_BASENAME)$(SHARED_SUFFIX)

TARGETS=$(SLIB) $(LIB_BASENAME).a
OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroaresd
CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g -Wall $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
$(LIB_BASENAME).a: ${OBJS}
	${AR} cru $(LIB_BASENAME).a ${OBJS}
	${RANLIB} $(LIB_BASENAME).a

=== libroarlight/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarlight$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarlight.a
OBJS=libroarlight.o colors.o roardmx.o pwm.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarlight
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARLIGHT_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARLIGHT_V) -o $(SLIB) ${OBJS} ${LIBS}
libroarlight.a: ${OBJS}
	${AR} cru libroarlight.a ${OBJS}
	${RANLIB} libroarlight.a

=== libroarmidi/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarmidi$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarmidi.a
OBJS=libroarmidi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarmidi
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARMIDI_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARMIDI_V) -o $(SLIB) ${OBJS} ${LIBS}
libroarmidi.a: ${OBJS}
	${AR} cru libroarmidi.a ${OBJS}
	${RANLIB} libroarmidi.a

=== libroaross/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroaross$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroaross.a
OBJS=libroaross.o

#DEFINES = -DDEBUG
INCLUDE = -I../include -I../include/libroar
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib
LIBS    = $(LIBROAR) $(LIBROARLIGHT) $(lib_dl)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
libroaross.a: ${OBJS}
	${AR} cru libroaross.a ${OBJS}
	${RANLIB} libroaross.a

=== libroarpulse/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 TARGETS=$(LIB_STDAPI) $(LIB_SIMPLE) libroarpulseinfo
 OBJS_ROAR   = libroarpulse.o
-OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o utf8.o x11.o
+OBJS_STD    = util.o error.o timeval.o context.o xmalloc.o version.o operation.o introspect.o sample.o channelmap.o stream.o volume.o mainloop.o mainloop-signal.o mainloop-threaded.o utf8.o x11.o
 OBJS_SIMPLE = simple.o
 OBJS_STDAPI = $(OBJS_ROAR) $(OBJS_STD)
 
@@ -14,7 +14,7 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarpulse
 CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/ -L.
+LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/ -L. -Wl,--version-script=version-script
 LIBS    = $(LIBROAR)
 
 all: ${TARGETS}

=== libroarrsound/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarrsound$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarrsound.a
OBJS=libroarrsound.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarrsound
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
libroarrsound.a: ${OBJS}
	${AR} cru libroarrsound.a ${OBJS}
	${RANLIB} libroarrsound.a

=== libroarsndio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarsndio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarsndio.a
OBJS=libroarsndio.o para.o stream.o events.o volume.o midi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarsndio
CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
libroarsndio.a: ${OBJS}
	${AR} cru libroarsndio.a ${OBJS}
	${RANLIB} libroarsndio.a

=== debian/changelog ===
roaraudio (1.0~beta2-3) unstable; urgency=low

  * Add backported upstream patch 03-client-name-buffer-overflow to fix a
    buffer overflow of roaraudio with verly long client names. With enabled
    hardening roaraudio just crashs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Aug 2012 23:31:08 +0200

roaraudio (1.0~beta2-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
    Closes: #682878
  * Add upstream patch 01-uuid, which fixes a parameter/UUID overwrite.
  * Add upstream patch 02-use-execed, which fixes a problem using +fork to a
    server using a proxy command not supporting PASSFH. The use-execed
    workaround is with this fix no longer necessary.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 13:39:33 +0200

roaraudio (1.0~beta2-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream beta release.
    - Updated debian init script
    - Improved random number generator (RNG)
    - Improved runtime hardening

  [ Patrick Matthäi ]
  * Drop the whole celt stuff without any mercy.
    Closes: #674649
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Jun 2012 00:36:19 +0200

roaraudio (1.0~beta1-3) unstable; urgency=low

  * Drop patch 01-gnu-source-hurd, it is a buildd toolchain fault.
  * Build with enabled libpulse on hurd-i386, since it is now available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 May 2012 18:42:23 +0200

roaraudio (1.0~beta1-2) unstable; urgency=low

  * Try to workaround hurd-i386 FTBFS by adding patch 01-gnu-source-hurd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 May 2012 18:52:01 +0200

roaraudio (1.0~beta1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream beta release.
    - Install new plugins provided by upstream to the new package
      libroar-plugins-universal.

  [ Patrick Matthäi ]
  * Move the roaraudio client binaries to the new package roarclients.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 May 2012 13:32:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: roaraudio
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
  hardening-wrapper,
  bash-completion,
@@ -18,9 +17,7 @@
  libao-dev,
  libx11-dev,
  libflac-dev,
- libcelt-dev (>= 0.7.1),
- libcelt-dev (<< 0.8.0~),
- libpulse-dev [!hurd-i386],
+ libpulse-dev,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libdnet-dev [linux-any]
@@ -30,13 +27,15 @@
 
 Package: libroar2
 Architecture: any
-Suggests: bzip2,
+Suggests: libroar-plugins-universal (= ${binary:Version}),
+ roaraudio-server,
+ bzip2,
  gnupg,
  openssh-client,
  pinentry,
  libmuroar0,
- roaraudio-server,
- slpd
+ slpd,
+ socat
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libroar0
@@ -77,6 +76,7 @@
  libslp-dev,
  libx11-dev,
  libdnet-dev [linux-any]
+Recommends: roarclients
 Suggests: ckport,
  libmuroar-dev
 Description: header files and documentation for the RoarAudio libraries
@@ -113,7 +113,9 @@
 Depends: ${misc:Depends},
  libroar2 (= ${binary:Version}),
  roaraudio (= ${binary:Version}),
- libroar-compat2 (= ${binary:Version})
+ roarclients (= ${binary:Version}),
+ libroar-compat2 (= ${binary:Version}),
+ libroar-plugins-universal (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -149,17 +151,38 @@
 Depends: ${shlibs:Depends},
  libroar2 (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
- ${misc:Depends}
-Recommends: oss-compat [!hurd-i386]
-Suggests: socat,
- wget
+ roarclients (= ${binary:Version}),
+ ${misc:Depends}
+Recommends: oss-compat [!hurd-i386],
+ libroar-plugins-universal (= ${binary:Version})
 Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
 Description: sound server for audio mixing
- RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
- different clients before sending it to its outputs (for example a soundcard).
- It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
- supports many common codecs like Ogg Vorbis, Speex or FLAC.
+ RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
+ different clients before sending it to its outputs (for example a soundcard).
+ It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
+ supports many common codecs like Ogg Vorbis, Speex or FLAC.
+ .
+ This package contains the RoarAudio sound server "roard" implementing the
+ RoarAudio protocol.
+ 
+
+Package: roarclients
+Section: sound
+Architecture: any
+Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1), roaraudio (<< 1.0~beta1-1)
+Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1), roaraudio (<< 1.0~beta1-1)
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Recommends: libroar-compat2 (= ${binary:Version}),
+ libroar-plugins-universal (= ${binary:Version})
+Suggests: roaraudio | roaraudio-server
+Description: Collection of basic clients for the RoarAudio Sound System
+ This package is a collection of basic clients for the RoarAudio Sound System
+ based on libroar. The collection includes tools for playback and recording
+ as well as controling and monitoring the sound system.
+ Some tools are also very helpful for testing and debugging a RoarAudio
+ setup or software.
 
 Package: libroar-compat2
 Architecture: any
@@ -175,3 +198,18 @@
  To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
  or YIFF API running, you can install this package and replace the appropriate
  libraries.
+
+Package: libroar-plugins-universal
+Section: sound
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Enhances: roarclients,
+ roaraudio
+Description: Collection of host-independent plugins for libroar
+ This is a collection of host application independent plugins for libroar.
+ Host application independent plugins are plugins which can be loaded in
+ all host applications (e.g. roard, roarpluginrunner and roarplaylistd).
+ .
+ This collection also includes plugins helpful for debugging the plugin
+ interface of applications using libroar's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

build: build-stamp
build-stamp:
	dh_testdir
	CXXFLAGS="$(CXXFLAGS)" ./configure \
	--prefix /usr --without-xmms --without-audacious \
	--without-beta --runtime-detect \
	--link-deps indirect --without-memory-api \
	--oss-dev /dev/dsp --oss-mixer-dev /dev/mixer \
	--proc-net-decnet-neigh /proc/net/decnet_neigh \
	--proc-net-arp /proc/net/arp \
	--no-ipx \
	--no-yiff \
	--no-celt \
	--no-celt0 \
	--distribution-version-string "Debian-$(DEB_VERSION)"
	CFLAGS="" LDFLAGS="" $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -rf $(CURDIR)/debian/tmp
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/libartsc.so*
	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/librsound.so*
	rm -f $(CURDIR)/debian/tmp/usr/lib/roaraudio/complibs/libY2.so*

build-arch: build

build-indep: build

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a --list-missing
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a
	dh_bash-completion -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=roaraudio-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
